IllegalBlockSizeException (Java Platform SE 8 )
Keywords: javax.crypto.IllegalBlockSizeException class
Date: 2018-03-02

compact1, compact2, compact3
javax.crypto

## Class IllegalBlockSizeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - javax.crypto.IllegalBlockSizeException

- All Implemented Interfaces:
    Serializable

      public class IllegalBlockSizeException
      extends GeneralSecurityException

  This exception is thrown when the length of data provided to a block cipher is incorrect, i.e., does not match the block size of the cipher.
  Since:
    1.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalBlockSizeException()` Constructs an IllegalBlockSizeException with no detail message.
    `IllegalBlockSizeException(String msg)` Constructs an IllegalBlockSizeException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalBlockSizeException

          public IllegalBlockSizeException()

      Constructs an IllegalBlockSizeException with no detail message. A detail message is a String that describes this particular exception.

    - #### IllegalBlockSizeException

          public IllegalBlockSizeException(String msg)

      Constructs an IllegalBlockSizeException with the specified detail message.
      Parameters:
        `msg` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.